ACARDIDE(4)

NAME
acardide - acard IDE disk controllers driver

SYNOPSIS
acardide* at pci? dev ? function ? flags 0x0000

DESCRIPTION
The acardide driver supports the following IDE controllers:

Acard ATP850U Ultra33

Acard ATP860 Ultra66

Acard ATP860-A Ultra66

Acard ATP865-A Ultra100

It provides the interface with the hardware for the ata(4) driver.

The 0x0002 flag forces the acardide driver to disable DMA on chipsets for which DMA would normally be enabled. This can be used as a debugging aid, or to work around problems where the IDE controller is wired up to the system incorrectly.

SEE ALSO
ata(4), atapi(4), intro(4), pci(4), pciide(4), wd(4), wdc(4)

BUGS
The timings used for the PIO and DMA modes for controllers listed above are for a PCI bus running at 30 or 33 MHz. This driver may not work properly on overclocked systems.